//This Source Code Form is subject to the terms of the Mozilla Public
//License, v. 2.0. If a copy of the MPL was not distributed with this
//file, You can obtain one at https://mozilla.org/MPL/2.0/.

// © 2019 Aditya Kishore

//Import needed dart packages
import 'dart:core';
import 'dart:core' as core;
import 'dart:math';
import 'dart:typed_data';
import 'dart:convert';

//Import modified version of PointyCastle
import '../PointyCastleN/api.dart';
import '../PointyCastleN/export.dart';

//Import manually defined ChaCha20 variants
import 'algos/chacha/chacha20.dart';
import 'algos/chacha/chacha12.dart';
import 'algos/chacha/chacha8.dart';

//Parts for export
part 'rsa.dart'; //for RsaCrypt
part 'light.dart'; //for LightCrypt
part 'pass.dart'; //for PassCrypt
part 'aes.dart'; //for AesCrypt
part 'key.dart'; //for CryptKey
part 'hash.dart'; //for HashCrypt
part 'mac.dart'; //for both MAC classes